For the complete documentation index, see llms.txt. This page is also available as Markdown.

Coin Market Cap

CoinMarketCap-compatible market data endpoints

Get option order book

get

Returns the order book depth for the given option ticker, in CoinMarketCap format.

Path parameters
ticker_idstringRequired
Responses
200

Successfully retrieved order book data

*/*

CoinMarketCap order book data transfer object

ticker_idstringOptional

Option contract symbol

Example: BTC-260708-70000-C
timestampinteger · int64Optional

Order book timestamp as epoch millis

get/v1/orderbook/{ticker_id}
GET /api/v1/orderbook/{ticker_id} HTTP/1.1
Accept: */*
{
  "ticker_id": "BTC-260708-70000-C",
  "timestamp": 1,
  "bids": [
    [
      "text"
    ]
  ],
  "asks": [
    [
      "text"
    ]
  ]
}

Get all option contracts

get

Returns every live (non-deleted, unexpired) option contract across all underlyings, in CoinMarketCap format.

Responses
200

Successfully retrieved result

*/*

CoinMarketCap option contract data transfer object

ticker_idstringOptional

Option contract symbol

Example: BTC-260708-70000-C
base_currencystringOptional

Base currency of the underlying

Example: BTC
quote_currencystringOptional

Quote currency

Example: USDT
product_typestringOptional

Product type

Example: Options
contract_typestringOptional

Contract type

Example: Vanilla
contract_pricenumberOptional

Contract price = contract amount x last premium

Example: 4.2
contract_price_currencystringOptional

Currency of the contract price

Example: USDT
last_pricenumberOptional

Last traded premium price

Example: 420
base_volumenumberOptional

24h traded volume in base currency

Example: 1250
quote_volumenumberOptional

24h traded volume in quote currency

Example: 525000
highnumberOptional

24h high premium price

Example: 450
lownumberOptional

24h low premium price

Example: 395
bidnumberOptional

Best bid premium price

Example: 415
asknumberOptional

Best ask premium price

Example: 425
index_pricenumberOptional

Current index price of the underlying

Example: 63530.22
open_interestnumberOptional

Open interest in contracts

Example: 8600
open_interest_usdnumberOptional

Open interest value in USD

Example: 5463598.92
creation_timestampinteger · int64Optional

Contract creation date as epoch millis

Example: 1751932800000
expiry_timestampinteger · int64Optional

Contract expiry date as epoch millis

Example: 1783497600000
get/v1/contracts
GET /api/v1/contracts HTTP/1.1
Accept: */*
[
  {
    "ticker_id": "BTC-260708-70000-C",
    "base_currency": "BTC",
    "quote_currency": "USDT",
    "product_type": "Options",
    "contract_type": "Vanilla",
    "contract_price": 4.2,
    "contract_price_currency": "USDT",
    "last_price": 420,
    "base_volume": 1250,
    "quote_volume": 525000,
    "high": 450,
    "low": 395,
    "bid": 415,
    "ask": 425,
    "index_price": 63530.22,
    "open_interest": 8600,
    "open_interest_usd": 5463598.92,
    "creation_timestamp": 1751932800000,
    "expiry_timestamp": 1783497600000
  }
]

Last updated